<!DOCTYPE html>
<html>
<head>
<title>Clock</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-beta.2/css/bootstrap.min.css" />
<link rel="stylesheet" href="../css/style.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>


</head>
<body  onload="digitalTime()">

<!--  Digital Clock     -->

<div id = "digital_clock" style="display: block;">
    <h1>Digital Clock</h1>
    <div class="container">
        <p id="digital_24Hour" style="display: block;"> 
    
        </p>
    </div>
    <div class="container">
        <p id="digital_12Hour" style="display: none;"> 
    
        </p>
    </div>
    
    <div class="container" style="margin-top: 3vw;">
        <p class="button">
            <button class="btn digital-button" onclick="changeFormat()">Switch Format</button>
        <button class="btn digital-button" onclick="changeClock()">
            Switch Clock
        </button>
    
        </p>
    </div>
</div>


<!--  Analog Clock    -->

<div id="analog_clock" style="display: none;">
    <div style="text-align: center;margin-bottom: 5vw; margin-top: 3vw;">
        <h1>Analog Clock</h1>
    </div>
    <div class="clock" style="text-align: center;">
        <div class="clock-face">
            <div class="hand" id="hour-hand"></div>
            <div class="hand" id="minutes-hand"></div>
            <div class="hand" id="seconds-hand" style="height: 2px; background-color: black;" ></div>
        </div>
    </div>
    
    <div class="container" style="margin-top: 3vw">
        <p class="button">
            <button class="btn digital-button" onclick="changeClock()">
                Switch Clock
            </button>
    
        </p>
    </div>
</div>


<!-- Set Alarm   -->

<div id='alarm' class="container" style="text-align: center;">
    <h3>Set Alarm Time</h3>
        <label>
            <div>
            <select id='alarm_hrs' ></select>
            </div>
        </label>
        <label>
            <div>
            <select id='alarm_mins' ></select>
            </div>
        </label>
        <label>
            <div>
            <select id='alarm_secs' ></select>
            </div>
        </label>
        <label>
            <div>
                <select id="am_pm">
                    <option value="AM">AM</option>
                    <option value="PM">PM</option>
                </select>
            </div>
        </label>
        </div>
</div>
<div id='button' class="container" style="text-align: center;margin-bottom: 3vw;">

    <span><button class="btn digital-button" id='setButton' onClick='setAlarm()'>Set Alarm</button></span>
    <span><button class="btn digital-button"  id='clearButton' onClick='clearAlarm()'>Clear Alarm</button></span>  

</div>


<script type='text/javascript' src='../script/alarm.js'></script>
<script src="../script/clock.js"></script>

</body>
</html>